.body {
    font-family: "Tsukimi Rounded", serif !important;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: rgba(87, 84, 84, 0.185) !important;
}

.form-container {
    width: 60%;
}
.logo{
    width: 40%;
}
.form-wrap {
    /* width: 60%; */
    background: #fff;
    box-shadow: 0 4px 8px 2px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    position: relative;
}


.form-step {
    display: none;
}

.form-step .label {
    font-weight: bold;
    display: block;
    font-size: 18px;
    font-family: "Tsukimi Rounded", serif;
}

.form-step input[type="text"],
.form-step input[type="number"],
.form-step input[type="email"],
.form-step input[type="tel"],
.form-step select {
    width: 100%;
    font-size: 16px;
    padding: 15px;
    border-radius: 5px;
    display: block;
    border: 1px solid #ccc;
    margin: 10px 0;
    font-family: "Tsukimi Rounded", serif;
}

.form-step input[type="checkbox"] {
    margin: 10px 5px 10px;
}

.form-step.active {
    display: block;
    animation: fadeIn 0.5s ease-in-out;
}

button {
    background: #8F44AD;
    color: white;
    border: none;
    padding: 10px 35px;
    cursor: pointer;
    border-radius: 5px !important;
    font-size: 1rem;
    font-family: "Tsukimi Rounded", serif;
}

.button-container {
    display: flex;
    justify-content: flex-end;
    margin-top: 20px;
}

button:hover {
    background: #340846;
}

button.prev-btn {
    background: #ccc;
    margin-right: 10px;
    color: #333;
}

button.prev-btn:hover {
    background: #bbb;
}

.thank-you {
    display: none;
    text-align: center;
}

.thank-you.hidden {
    display: block;
}

.reg-img{
    width: 100%;
    height: 100%;
    object-fit: cover;

}


@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.progress-bar-container {
    width: 100%;
    height: 8px;
    background-color: #e0e0e0;
    border-radius: 5px;
    margin-top: 20px;
}

.progress-bar {
    height: 100%;
    width: 0%;
    /* background-color: #8F44AD; */
    background-color: #FBDB3D !important;
    border-radius: 5px;
}

.stepper {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}



.step.active {
    background-color: #FBDB3D;
    color: #fff;
}

.step::after {
    content: '';
    position: absolute;
    top: 50%;
    right: -20px;
    width: 20px;
    height: 4px;
    background: #e0e0e0;
    transform: translateY(-50%);
}

.step:last-child::after {
    display: none;
}

/* modal css */
.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.747);
    justify-content: center;
    align-items: center;
}

.modal-content {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    max-width: 400px;
    margin: auto;
}

.modal-content h4 {
    margin: 0 0 10px;
    font-weight: bold;
}

.modal-content p {
    margin: 10px 0;
    font-size: 16px;
}

.modal-content #closeModalBtn {
    background-color: green;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}


.modal-content #closeModalBtn:hover {
    background-color: #340846 ;
}

.modal-content .close-btn {
    cursor: pointer;
}

/* error css  */
.error-text {
    color: red;
    font-size: 0.9rem;
    margin-top: 5px;
    display: block;
}

input.error, select.error {
    border: 2px solid red;
}



/* media queries */

@media (max-width: 768px) {
    .logo{
        width: 50%;
    }
    .form-container {
        width: 95%;
    }
}